<?php

namespace App\Modules\Leads\WebTypeClient\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface WebTypeClientRepository
{
    public function insert(WebTypeClient $model): IdWebTypeClient;
    public function update(WebTypeClient $model);
    public function find(StorageCriteria $action): WebTypeClient;
    public function search(StorageCriteria $action): array;
}
